#
# spec file for package xclipboard
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xclipboard
Version:        1.1.4
Release:        bp155.1.7
Summary:        X clipboard client
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:        xclipboard.desktop
Source2:        xclipboard.png
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xclipboard is used to collect and display text selections that are
sent to the CLIPBOARD by other clients.  It is typically used to save
CLIPBOARD selections for later use.  It stores each CLIPBOARD
selection as a separate string, each of which can be selected.

%prep
%setup -q
cp %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -i -u xclipboard Utility DesktopUtility
install -m0644 -D %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/xclipboard.png

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xclipboard
%{_bindir}/xcutsel
%{_datadir}/applications/xclipboard.desktop
%{_datadir}/pixmaps/xclipboard.png
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XClipboard
%{_mandir}/man1/xclipboard.1%{?ext_man}
%{_mandir}/man1/xcutsel.1%{?ext_man}

%changelog
* Mon Jul 11 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.4:
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * Build xz tarballs instead of bzip2
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * Fix another -Wdiscarded-qualifiers warning
  * Fix a -Wformat-truncation warning
  * NewCurrentClipContents: fix a -Wnull-dereference warning
  * NewClip: use calloc instead of manually setting values to 0 after malloc
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.1.3:
  + Fix some size/sign conversion warnings from clang.
  + Delete trailing whitespace from source files.
  + Replace malloc(strlen)+strcpy with strdup.
  + Convert last sprintf to snprintf.
  + Rename state argument to SetButton to not shadow global state
    variable.
  + Mark Quit functions as _X_NORETURN, as suggested by
  - Wmissing-noreturn.
  + Don't rely on being able to set tab stops.
- Add pkgconfig(xproto) BuildRequires, new dependency.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.1.2:
  + xclipboard: avoid overflow crash when building labels
    (lp#792642)
  + Change resource to better position Accept/Cancel (fdo#17364)
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xclipboard from xorg-x11. Initial version: 1.1.1.
